Skip to main content

Debit and Prepaid Authorizations


This section shows you how to process an authorization using debit and prepaid cards using credit card services.

Supported Processors

  • AIBMS
  • American Express Direct
  • Banque de France et Trésor Public
  • Barclays
  • BNP Paribas France
  • Chase Paymentech Solutions
  • Cielo
  • Comercio Latino
  • Credit Mutuel-CIC
  • Elavon Americas
  • FDC Compass
  • FDC Nashville Global
  • FDI Australia
  • FDMS Nashville
  • Getnet
  • GPN
  • HBOS
  • HSBC
  • JCN Gateway
  • Lloyds-OmniPay
  • LloydsTSB Cardnet
  • Moneris
  • OmniPay Direct
  • Prosa
  • Rede
  • RuPay HDFC
  • SIX
  • Streamline
  • TSYS Acquiring Solutions
  • UATP
  • Vero
  • Worldpay VAP
  • Barclays
  • TSYS Acquiring Solutions
  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Streamline
  • Worldpay VAP

Processor-Specific Information

FDC Nashville Global: the debit card transaction response includes these routing information fields:

  • processorInformation.routing.network
  • processorInformation.routing.networkName
  • processorInformation.routing.customerSignatureRequired

: in Canada, to process domestic debit transactions with Mastercard, you must contact customer support to have your account configured for this feature.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "orderInformation": {    "billTo": {      "country": "US",      "firstName": "John",      "lastName": "Deo",      "address1": "901 Metro Center Blvd",      "postalCode": "40500",      "locality": "Foster City",      "administrativeArea": "CA",      "email": ""    },    "amountDetails": {      "totalAmount": "100.00",      "currency": "USD"    }  },  "paymentInformation": {    "card": {      "expirationYear": "2031",      "number": "CARD_NUMBER",      "securityCode": "123",      "expirationMonth": "12",      "type": "001"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6595482584316313203494/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6595482584316313203494"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6595482584316313203494/captures"    }  },  "clientReferenceInformation": {    "code": "RTS-Auth"  },  "consumerAuthenticationInformation": {    "token": "Axj/7wSTZYq1MhJBMfMmAEQs2auWrRwyauGjNi2ZsWbJgzaOWiaVA+JbKAU0qB8S2VpA6cQIp4ZNvG2YbC9eM4E5NlirUyEkEx8yYAAA4A1c"  },  "id": "6595482584316313203494",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "100.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "processorInformation": {    "systemTraceAuditNumber": "853428",    "approvalCode": "831000",    "cardVerification": {      "resultCodeRaw": "M",      "resultCode": "M"    },    "merchantAdvice": {      "code": "01",      "codeRaw": "M001"    },    "responseDetails": "ABC",    "networkTransactionId": "016153570198200",    "retrievalReferenceNumber": "221517853428",    "consumerAuthenticationResponse": {      "code": "2",      "codeRaw": "2"    },    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  }}

Required Fields

These fields are required for a successful debit or prepaid authorization.

FieldDescription
clientReferenceInformation.codeOrder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction.
orderInformation.amountDetails.currency
For RuPay HDFC: Set the value to INR. For Vero: Vero supports Brazilian real (BRL) currency only.
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.type—

Country-Specific Required Fields

Argentina

FieldDescription
merchantInformation.taxIdrequired for Mastercard transactions.
merchantInformation.transactionLocalDateTimerequired in Argentina when the time zone is not included in your account. Otherwise, this field is optional.

Brazil

FieldDescription
paymentInformation.card.sourceAccountTyperequired for combo card transactions.
paymentInformation.card.sourceAccountTypeDetailsrequired for combo card line-of-credit and prepaid-card transactions.

Chile and Paraguay

FieldDescription
merchantInformation.taxIdrequired for Mastercard transactions.

Mainland China

FieldDescription
consumerAuthenticationInformation.cavvrequired for domestic debit cards.

Saudi Arabia

FieldDescription
processingInformation.authorizationOptions.transactionMode—

Taiwan

FieldDescription
paymentInformation.card.hashedNumber—

Optional Field

You can use this optional field to include additional information when processing debit and prepaid authorizations.

Optional Field
FieldDescription
processingInformation.linkIdset this field to the request ID that was returned in the response message from the original authorization request.

Last published: September 29, 2026